View Issue Details

IDProjectCategoryView StatusLast Update
0002693SymmetricDSImprovementpublic2016-08-09 13:10
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002693: Use node cache
DescriptionUse a node cache where it is used most often -- push and pull jobs (AuthenticationInterceptor, PullUriHandler, PushUriHandler, FileSyncPullUriHandler, FileSyncService, and DataLoaderService). Avoid caching around registration and less-used operations.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 d8da2c50

2016-07-26 21:08:26

admin

Details Diff
0002693: Use node cache
0002693
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/ConfigurationChangedDatabaseWriterFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockNodeService.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/AuthenticationInterceptor.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/FileSyncPullUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/PullUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/PushUriHandler.java Diff File

SymmetricDS: 3.8 422f3909

2016-08-02 09:10:41

admin

Details Diff
0002693: Use node cache,
add flush of cache at registration

0002693
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File

Issue History

Date Modified Username Field Change
2016-07-26 21:06 elong New Issue
2016-07-26 21:06 elong Status new => assigned
2016-07-26 21:06 elong Assigned To => elong
2016-07-26 21:09 elong Status assigned => resolved
2016-07-26 21:09 elong Fixed in Version => 3.8.0
2016-07-26 21:09 elong Resolution open => fixed
2016-07-26 22:00 admin Changeset attached => SymmetricDS 3.8 d8da2c50
2016-08-02 10:00 admin Changeset attached => SymmetricDS 3.8 422f3909
2016-08-09 13:10 admin Status resolved => closed